package pps.core.space.enums;

import xstartup.error.XError;

/**
 * 业务错误
 *
 * @author ZWT
 * @date 2023/09/12
 */
public enum BusinessError implements XError {
    LineExists(2100, "当前线路已设定周期"),
    RepeatSetting(2101, "请勿重复设定"),
    ;

    private int code;
    private String text;

    BusinessError(int code, String text) {
        this.code = code;
        this.text = text;
    }

    @Override
    public int getCode() {
        return 0;
    }

    @Override
    public String getText() {
        return null;
    }
}
